Bug 114288 - MutationRecord is not exposed
Summary: MutationRecord is not exposed
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Trivial
Assignee: Nobody
URL: http://www.w3.org/TR/domcore/#mutatio...
Keywords: EasyFix, WebExposed
Depends on:
Blocks:
 
Reported: 2013-04-09 07:42 PDT by Erik Arvidsson
Modified: 2013-04-11 14:40 PDT (History)
5 users (show)

See Also:


Attachments
Patch (4.16 KB, patch)
2013-04-11 13:12 PDT, Sukolsak Sakshuwong
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Arvidsson 2013-04-09 07:42:00 PDT
window.MutationRecord is undefined in Blink/WebKit but it is exposed in Gecko.

The spec at http://www.w3.org/TR/domcore/#mutationrecord does not have a [NoInterfaceObject] so it means that the interface should be exposed on Window.
Comment 1 Erik Arvidsson 2013-04-10 06:32:51 PDT
And here is Adam's fix from Blink. Should be straight forward to apply to WebKit

https://codereview.chromium.org/13861028/
Comment 2 Sukolsak Sakshuwong 2013-04-11 13:12:13 PDT
Created attachment 197659 [details]
Patch
Comment 3 Darin Adler 2013-04-11 14:06:15 PDT
Comment on attachment 197659 [details]
Patch

No feature conditional?
Comment 4 WebKit Commit Bot 2013-04-11 14:40:00 PDT
Comment on attachment 197659 [details]
Patch

Clearing flags on attachment: 197659

Committed r148236: <http://trac.webkit.org/changeset/148236>
Comment 5 WebKit Commit Bot 2013-04-11 14:40:02 PDT
All reviewed patches have been landed.  Closing bug.